## gnome-network-displays 0.97.0

=== meson_options.txt ===
option('firewalld_zone', type: 'boolean', value: true, description: 'Install firewalld zones')

## gnome-network-displays 0.90.5

=== debian/changelog ===
gnome-network-displays (0.90.5-3) unstable; urgency=medium

  * Fixed wrong VCS fields in d/control

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Mon, 03 Oct 2022 16:13:11 -0700

gnome-network-displays (0.90.5-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Sep 2022 14:17:33 -0400

gnome-network-displays (0.90.5-1) unstable; urgency=medium

  * Initial release. (Closes: #995899)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Thu, 01 Sep 2022 21:48:51 -0400

=== debian/control ===
Source: gnome-network-displays
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <matthias.geiger1024@tutanota.de>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               libavahi-client-dev,
               libavahi-gobject-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev ( >= 1.14),
               libgstrtspserver-1.0-dev,
               libgtk-3-dev (>= 3.22),
               libnm-dev (>= 1.15),
               libpulse-dev,
               meson (>= 0.46.1)
Standards-Version: 4.6.1
Homepage: https://gitlab.gnome.org/GNOME/gnome-network-displays
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-network-displays
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-network-displays.git

Package: gnome-network-displays
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, network-manager, wpasupplicant
Description: miracast application for the GNOME desktop
 This application allows you to stream your display and
 audio to other devices via Wi-Fi (aka miracast).
 .
 Note: wpasupplicant is required, iwd won't work.

=== debian/watch ===
version=4
https://gitlab.gnome.org/GNOME/gnome-network-displays/tags?sort=updated_desc archive/v?\d[\d.]+/gnome-network-displays-v?([\d.]+)@ARCHIVE_EXT@

## gnome-network-displays 0.91.0

=== debian/changelog ===
gnome-network-displays (0.91.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Add support for Miracast over Infrastructure (MICE) protocol
    - Add support for Chromecast protocol
    - Add support for casting a virtual screen
  * Build-Depends: Add libjson-glib-dev, libprotobuf-c-dev, libsoup-3.0-dev
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jan 2024 09:14:18 -0500

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,13 @@
                libgstreamer1.0-dev ( >= 1.14),
                libgstrtspserver-1.0-dev,
                libgtk-3-dev (>= 3.22),
+               libjson-glib-dev,
                libnm-dev (>= 1.15),
+               libprotobuf-c-dev,
                libpulse-dev,
+               libsoup-3.0-dev,
                meson (>= 0.46.1)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/GNOME/gnome-network-displays
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-network-displays
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-network-displays.git

## gnome-network-displays 0.92.1

=== debian/changelog ===
gnome-network-displays (0.92.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:09:34 +0000

gnome-network-displays (0.92.1-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:42:01 +0000

gnome-network-displays (0.92.1-2) unstable; urgency=medium

  * Add appstream to Build-Depends for build tests
  * Cherry-pick patch to allow casting a single window
  * Update package description

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Feb 2024 08:31:59 -0500

gnome-network-displays (0.92.1-1) unstable; urgency=medium

  * New upstream release
    - Port to GTK4
    - Use libportal to acquire screencast portal
  * Updated my mail address in d/control and d/copyright
  * Updated copyright years
  * Updated build-dependencies for new upstream:
    - build-depend on libadwaita, libgtk4, libportal-gtk4, libglib and
      desktop-file-utils
    - versioned dependencies accordingly
    - dropped build-dependency on cmake

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 31 Jan 2024 23:21:38 +0100

=== debian/control ===
Source: gnome-network-displays
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends: appstream,
               debhelper-compat (= 13),
               desktop-file-utils,
               libadwaita-1-dev (>= 1.0.0),
               libavahi-client-dev,
               libavahi-gobject-dev,
               libglib2.0-dev (>= 2.50),
               libgstreamer-plugins-base1.0-dev (>= 1.14),
               libgstreamer1.0-dev  (>= 1.14),
               libgstrtspserver-1.0-dev (>= 1.14),
               libgtk-4-dev,
               libjson-glib-dev (>= 1.0),
               libnm-dev (>= 1.15),
               libprotobuf-c-dev (>= 1.0),
               libpulse-dev,
               libportal-gtk4-dev (>= 0.7),
               libsoup-3.0-dev (>= 3.0),
               meson (>= 0.59.0)
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/GNOME/gnome-network-displays
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-network-displays
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-network-displays.git

Package: gnome-network-displays
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, network-manager, wpasupplicant
Description: screencasting app for the GNOME desktop
 GNOME Network Displays allows you to stream your display and audio
 to other devices via Wi-Fi using the Miracast and Chromecast protocols.
 .
 Note: wpasupplicant is required, iwd won't work.

## gnome-network-displays 0.92.2

=== debian/changelog ===
gnome-network-displays (0.92.2-2) unstable; urgency=medium

  * Depend on iwd or wpasupplicant (Closes: #1077980)

 -- Matthias Geiger <werdahias@debian.org>  Thu, 08 Aug 2024 11:41:31 +0200

gnome-network-displays (0.92.2-1) unstable; urgency=medium

  * New upstream release
  * Drop remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 13:11:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnome-network-displays
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@riseup.net>
 Rules-Requires-Root: no
 Build-Depends: appstream,
@@ -30,9 +29,9 @@
 
 Package: gnome-network-displays
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, network-manager, wpasupplicant
+Depends: ${misc:Depends}, ${shlibs:Depends}, network-manager, wpasupplicant | iwd
 Description: screencasting app for the GNOME desktop
  GNOME Network Displays allows you to stream your display and audio
  to other devices via Wi-Fi using the Miracast and Chromecast protocols.
  .
- Note: wpasupplicant is required, iwd won't work.
+ Note: wpasupplicant or iwd are required.

## gnome-network-displays 0.93.0

=== debian/changelog ===
gnome-network-displays (0.93.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0; no changes needed
  * Updated my mail address in d/control, d/copyright

 -- Matthias Geiger <werdahias@debian.org>  Wed, 14 Aug 2024 23:31:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matthias Geiger <werdahias@riseup.net>
+Uploaders: Matthias Geiger <werdahias@debian.org>
 Rules-Requires-Root: no
 Build-Depends: appstream,
                debhelper-compat (= 13),
@@ -22,7 +22,7 @@
                libportal-gtk4-dev (>= 0.7),
                libsoup-3.0-dev (>= 3.0),
                meson (>= 0.59.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/GNOME/gnome-network-displays
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-network-displays
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-network-displays.git

## gnome-network-displays 0.94.0

=== debian/changelog ===
gnome-network-displays (0.94.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Nov 2024 16:19:39 -0500

## gnome-network-displays 0.96.0

=== debian/changelog ===
gnome-network-displays (0.96.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Apr 2025 08:41:26 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>
 Rules-Requires-Root: no
-Build-Depends: appstream,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               appstream,
                desktop-file-utils,
                libadwaita-1-dev (>= 1.0.0),
                libavahi-client-dev,
@@ -17,9 +17,9 @@
                libgtk-4-dev,
                libjson-glib-dev (>= 1.0),
                libnm-dev (>= 1.15),
+               libportal-gtk4-dev (>= 0.7),
                libprotobuf-c-dev (>= 1.0),
                libpulse-dev,
-               libportal-gtk4-dev (>= 0.7),
                libsoup-3.0-dev (>= 3.0),
                meson (>= 0.59.0)
 Standards-Version: 4.7.0
@@ -29,7 +29,10 @@
 
 Package: gnome-network-displays
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, network-manager, wpasupplicant | iwd
+Depends: network-manager,
+         wpasupplicant | iwd,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: screencasting app for the GNOME desktop
  GNOME Network Displays allows you to stream your display and audio
  to other devices via Wi-Fi using the Miracast and Chromecast protocols.

## gnome-network-displays 0.97.0

=== debian/changelog ===
gnome-network-displays (0.97.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Bump S-V to 4.7.2, no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Sun, 10 Aug 2025 11:38:21 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libpulse-dev,
                libsoup-3.0-dev (>= 3.0),
                meson (>= 0.59.0)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/GNOME/gnome-network-displays
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-network-displays
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-network-displays.git

## gnome-network-displays 0.98.0

=== debian/changelog ===
gnome-network-displays (0.98.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update licensing information
  * d/control: Drop Rules-Require-Root field
  * d/control: Drop Priority: optional

 -- Matthias Geiger <werdahias@debian.org>  Wed, 17 Dec 2025 14:25:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: gnome-network-displays
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                appstream,
                desktop-file-utils,

## gnome-network-displays 0.99.0

=== meson_options.txt ===
option('firewalld_zone',
       type: 'boolean',
       value: true,
       description: 'Install firewalld zones')

option('build_daemon',
       type: 'boolean',
       value: true,
       description: 'Build a headless client daemon')

option('build_app',
       type: 'boolean',
       value: true,
       description: 'Build a graphical client app')

option('systemd_resolved',
       type: 'boolean',
       value: false,
       description: 'Enable systemd-resolved based mDNS discovery')

=== debian/changelog ===
gnome-network-displays (0.99.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jan 2026 13:49:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: gnome-network-displays
 Section: gnome
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Matthias Geiger <werdahias@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream,
@@ -20,10 +20,10 @@
                libpulse-dev,
                libsoup-3.0-dev (>= 3.0),
                meson (>= 0.59.0)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.gnome.org/GNOME/gnome-network-displays
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-network-displays
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-network-displays.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gnome-network-displays
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/gnome-network-displays.git
 
 Package: gnome-network-displays
 Architecture: any
